Get Social Connection
curl --request GET \
--url https://api.example.com/social/connections/{social_connection_id}import requests
url = "https://api.example.com/social/connections/{social_connection_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/social/connections/{social_connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Social
Get Social Connection
Get status and account metadata for one social connection.
GET
/
social
/
connections
/
{social_connection_id}
Get Social Connection
Returns status and account metadata for one connected social account.
Use the
social_connection_id returned by GET /social/connections.
Request
curl -X GET "https://api.mosaic.so/social/connections/7f9388af-26e8-4e68-a52b-6b9a0ef3a017" \
-H "Authorization: Bearer mk_your_api_key"
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
social_connection_id | string (uuid) | Yes | The connected account ID. |
Response
{
"social_connection_id": "7f9388af-26e8-4e68-a52b-6b9a0ef3a017",
"platform": "linkedin",
"connected": true,
"account_name": "Mosaic",
"account_username": "mosaic-so",
"profile_url": "https://www.linkedin.com/company/mosaic-so",
"username": "mosaic-so",
"display_name": "Mosaic",
"user_image": "https://media.licdn.com/..."
}
Was this page helpful?
⌘I